using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;
using Newtonsoft.Json;

namespace detect.gui.Models.Entities;

[Table("dat_user_authority")]
[Index(nameof(UserId), IsUnique = false)]
[Index(nameof(AuthorityId), IsUnique = false)]
public class UserAuthorityEntity
{
    [Key] 
    [JsonProperty(PropertyName = "id")]
    [Column("id")]
    public long? Id { get; set; }

    [JsonProperty(PropertyName = "userId")]
    [Column("user_id")]
    public long? UserId { get; set; }

    
    [JsonProperty(PropertyName = "authorityId")]
    [Column("authority_id")]
    public long? AuthorityId { get; set; }
}